<template>
  <JDialogConfirm>
    <template #title>
      <JText
        weight="bold"
        color="secondary-title"
        type="title-4"
      >
        {{ $t('is_delete_draft') }}
      </JText>
    </template>
    <template #actions="{ setFocus }">
      <JButton
        type="normal"
        size="xs"
        @click="$emit('cancel')"
      >
        {{ $t('no_cancel') }}
      </JButton>
      <JButton
        :ref="(el) => setFocus(el)"
        size="xs"
        class="ml-2"
        @click="$emit('confirm')"
      >
        {{ $t('yes_delete') }}
      </JButton>
    </template>
  </JDialogConfirm>
</template>

<script setup lang="ts">
import { JDialogConfirm, JButton, JText } from '@new-jira-clone/ui/src/components';

defineEmits<{
  (event: 'cancel'): void;
  (event: 'confirm'): void;
}>();
</script>
